## ros-kinetic-manipulator-h-gui 0.3.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.0)
project(manipulator_h_gui)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  robotis_controller_msgs
  manipulator_h_base_module_msgs
  qt_build
  cmake_modules
  eigen_conversions
)

find_package(Eigen3 REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp robotis_controller_msgs manipulator_h_base_module_msgs qt_build cmake_modules eigen_conversions
  DEPENDS EIGEN3
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

################################################################################
# Build
################################################################################
rosbuild_prepare_qt4(QtCore QtGui)

file(GLOB_RECURSE QT_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS src/*.cpp)
file(GLOB_RECURSE QT_MOC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS include/manipulator_h_gui/*.hpp)
file(GLOB QT_RESOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} resources/*.qrc)
file(GLOB QT_FORMS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ui/*.ui)

QT4_ADD_RESOURCES(QT_RESOURCES_CPP ${QT_RESOURCES})
QT4_WRAP_CPP(QT_MOC_HPP ${QT_MOC})
QT4_WRAP_UI(QT_FORMS_HPP ${QT_FORMS})

add_executable(manipulator_h_gui ${QT_SOURCES} ${QT_RESOURCES_CPP} ${QT_FORMS_HPP} ${QT_MOC_HPP})
add_dependencies(manipulator_h_gui ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(manipulator_h_gui ${catkin_LIBRARIES} ${QT_LIBRARIES} ${Eigen3_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS manipulator_h_gui
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY resources ui
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-manipulator-h-gui (0.3.1-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Sun, 25 Mar 2018 15:00:00 -0000

ros-kinetic-manipulator-h-gui (0.3.0-0xenial) xenial; urgency=high

  * modified build option and dependencies
  * changed license to Apache 2.0
  * changed package.xml format to v2
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Thu, 22 Mar 2018 15:00:00 -0000

ros-kinetic-manipulator-h-gui (0.2.3-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-manipulator-h-gui (0.2.2-0xenial) xenial; urgency=high

  * updated cmake file for ros install
  * deleted logs
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-manipulator-h-gui (0.2.1-0xenial) xenial; urgency=high

  * manipulator_h_gui: package.xml cmake_modules dependency added
  * manipulator_h_description: for indigo option
  * Contributors: SCH

 -- pyo <pyo@robotis.com>  Wed, 21 Sep 2016 15:00:00 -0000

ros-kinetic-manipulator-h-gui (0.2.0-0xenial) xenial; urgency=high

  * added manipulator_h_gui package that GUI tool to control ROBOTIS MANIPULATOR-H
  * Contributors: SCH, Pyo

 -- pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-manipulator-h-gui
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt4-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-manipulator-h-base-module-msgs, ros-kinetic-qt-build, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/manipulator_h_gui
Standards-Version: 3.9.2

Package: ros-kinetic-manipulator-h-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt4-dev, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-manipulator-h-base-module-msgs, ros-kinetic-qt-build, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp
Description: The manipulator_h_gui package This package provides simple GUI to control ROBOTIS MANIPULATOR-H.
 This GUI is connected to manipulator_h_base_module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-manipulator-h-gui//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
